//许可协议处理函数
function doAgree(){
	if(document.forms['f1'].elements['cb1'].checked==true){
		document.forms['f1'].elements['bt1'].disabled=false;
		document.getElementById("check_lic").className='button';
	}else{
		document.forms['f1'].elements['bt1'].disabled=true;
		document.getElementById("check_lic").className='button-off';
	}
}
//建立数据库确认函数
function doAlert(){
	var objForm=document.forms['f1'];
	if(objForm.elements['setup_table'].checked){
		if(confirm("若存在同名数据库，原数据将丢失！！\r\n\r\n请您确认。")){
			objForm.elements['setup_table'].checked=true;
		}else{
			objForm.elements['setup_table'].checked=false;
		}
	}
}
//参数设置判断
function checkConfigs(){
	var objForm=document.forms['f1'];
	if(objForm.elements['local_root'].value==''){
		alert("对不起，请输入网站根路径！");
		objForm.elements['local_root'].select();
		return false;
	}
	if(objForm.elements['mysql_host'].value==''){
		alert("对不起，请输入数据库服务器地址！");
		objForm.elements['mysql_host'].select();
		return false;
	}
	if(objForm.elements['mysql_name'].value==''){
		alert("对不起，请输入数据库名称！");
		objForm.elements['mysql_name'].select();
		return false;
	}
	if(objForm.elements['mysql_user'].value==''){
		alert("对不起，请输入数据库用户名！");
		objForm.elements['mysql_user'].select();
		return false;
	}
	if(objForm.elements['mysql_pass'].value==''){
		alert("对不起，请输入数据库用户密码！");
		objForm.elements['mysql_pass'].select();
		return false;
	}
	if(objForm.elements['system_pass'].value!='' && objForm.elements['system_pass'].value.length<6){
		alert("对不起，管理员密码至少6位！");
		objForm.elements['system_pass'].select();
		return false;
	}
	if(objForm.elements['system_pass'].value!=objForm.elements['system_pass_confirm'].value){
		alert("对不起，您两次输入的密码不一致！");
		objForm.elements['system_pass_confirm'].select();
		return false;
	}
	return true;
}
// 显示安装信息
function showmessage(message) {
	document.getElementById('notice').innerHTML += message + '<br />';
	document.getElementById('notice').scrollTop = 100000000;
}